/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 16/11/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RangeDto {

	private Integer kdRange;

	private String namaRange;

	@NotNull(message = "range.rangemin.notnull")
	private String rangeMin;

	// @NotNull(message = "range.rangemax.notnull")
	private String rangeMax;

	private Integer kdTypeDataObjek;

	@NotNull(message = "range.nourut.notnull")
	private Integer noUrut;

	@NotNull(message = "range.kdjenisrange.notnull")
	private Integer kdJenisRange;

	private Integer kdSatuanStandar;

	private BigDecimal factorRate;

	private String operatorFactorRate;

	private String kodeExternal;

	private String namaExternal;

	private String kdDepartemen;

	@NotNull(message = "range.statusenabled.notnull")
	private Boolean statusEnabled;

	private String noRec;

	private Integer version;

	private String reportDisplay;

}
